Nostradamus Predicting Maelstroms

    balm-cli

    2.5.1 • Public • Published

    Balm CLI NPM version

    A simple CLI for scaffolding BalmJS projects.

    Requirements

    1. Node.js >= 10.13.0, npm version 5.2.0+
    2. Git
    3. BalmJS core >= 3.x

    First install the balm-core globally.

    yarn global add balm-core
    # OR
    npm install -g balm-core

    Installation

    Then install the balm-cli globally.

    yarn global add balm-cli
    # OR
    npm install -g balm-cli
    
    # Verify
    balm -V
    # Output:
    # balm-cli: 2.0.0
    # balm-core: 3.0.0 (Global)

    Usage

    # See all available official templates
    balm list
    balm init <template-name> <project-name>

    Example:

    # Official template
    balm init vue my-project
    # Custom template
    balm init username/repo my-project

    Official Templates

    • Default
    • Vue.js
      • vue - A Vue.js project
      • vue-expert - A Vue.js project with router (Recommended)
      • vue-master - A Vue.js project with router & Vuex
      • vue-ssr - A server-rendered Vue.js project (Experimental)
      • vue-ssr-without-vuex - A server-rendered Vue.js project without Vuex (Experimental)
      • vue-wechat-mp - A Vue.js project for WeChat Mini Program
    • React
    • Angular
      • ng - An Angular project
    • Others
      • pwa - A Progressive Web Apps project
      • electron - An Electron app boilerplate based on the BalmJS
      • legacy - A jQuery project for older browsers

    Install

    npm i balm-cli

    DownloadsWeekly Downloads

    50

    Version

    2.5.1

    License

    MIT

    Unpacked Size

    34.5 kB

    Total Files

    30

    Last publish

    Collaborators

    • elf-mouse